package com.nantian.cloud.jljc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.nantian.cloud.jljc.entity.RecordCertificateManager;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 备案管理-证书管理 服务类
 */
public interface RecordCertificateManagerService extends IService<RecordCertificateManager> {

    //根据能源管理人员id获取证书信息
    List<RecordCertificateManager> getCertificateByPersonId(Long id);

    //根据能源管理人员id获取证书信息
    IPage getCertificateByPage(Page page,Long id);

    //根据id删除证书管理信息
    boolean removeByCertificateId(RecordCertificateManager recordCertificateManager);

    //新增
    boolean addCertificate(RecordCertificateManager recordCertificateManager);

    //修改
    boolean updateCertificateById(RecordCertificateManager recordCertificateManager);

    //删除人员时删除相关证书
    boolean removeByPersonId(RecordCertificateManager certificateManager);
}
